Update form template
PUT
/administration/form-templates/{id}Authorization
AuthorizationOAuth2 access token · headerrequiredScopes:
api:writeor
AuthorizationBearer token (JWT) · headerrequiredPath parameters
idstringrequiredRequest body
requiredapplication/jsoncategoryIdstringdescriptionstringiconobject | nullnamestringtagsstring[]Tag IDs (UUIDs) of type form-template. List tags via GET `tags/form-template/list`.
Responses
200
successbooleanrequiredOperation success flag
401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
Request
curl -X PUT "https://leadtime.app/api/public/administration/form-templates/string" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"categoryId": "string",
"description": "string",
"icon": {},
"name": "string",
"tags": [
"string"
]
}'const response = await fetch("https://leadtime.app/api/public/administration/form-templates/string", {
method: "PUT",
headers: {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"categoryId": "string",
"description": "string",
"icon": {},
"name": "string",
"tags": [
"string"
]
})
});import requests
response = requests.put(
"https://leadtime.app/api/public/administration/form-templates/string",
headers={
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
},
json={
"categoryId": "string",
"description": "string",
"icon": {},
"name": "string",
"tags": [
"string"
]
},
)Response
{
"success": true
}Unauthorized - Invalid or missing authentication token
Forbidden - Insufficient API scopes or permissions